%{?mingw_package_header}

%global pkgname gtkspell3

Name:          mingw-%{pkgname}
Version:       3.0.3
Release:       2%{?dist}
Summary:       MinGW Windows GtkSpell3 library
License:       GPLv2+
Group:         Development/Libraries
BuildArch:     noarch
URL:           http://gtkspell.sourceforge.net/
Source0:       http://downloads.sourceforge.net/gtkspell/%{pkgname}-%{version}.tar.gz

BuildRequires: intltool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-enchant
BuildRequires: mingw32-gettext
BuildRequires: mingw32-gtk3

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-enchant
BuildRequires: mingw64-gettext
BuildRequires: mingw64-gtk3


%description
MinGW Windows GtkSpell3 library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows GtkSpell3 library

%description -n mingw32-%{pkgname}
MinGW Windows GtkSpell3 library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows GtkSpell3 library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows GtkSpell3 library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows GtkSpell3 library

%description -n mingw64-%{pkgname}
MinGW Windows GtkSpell3 library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows GtkSpell3 library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows GtkSpell3 library.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}


%build
%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%mingw_find_lang %{pkgname}


%files -n mingw32-%{pkgname} -f mingw32-%{pkgname}.lang
%doc AUTHORS COPYING README
%{mingw32_bindir}/libgtkspell3-3-0.dll
%{mingw32_includedir}/gtkspell-3.0/
%{mingw32_libdir}/libgtkspell3-3.dll.a
%{mingw32_libdir}/pkgconfig/gtkspell3-3.0.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libgtkspell3-3.a

%files -n mingw64-%{pkgname} -f mingw64-%{pkgname}.lang
%doc AUTHORS COPYING README
%{mingw64_bindir}/libgtkspell3-3-0.dll
%{mingw64_includedir}/gtkspell-3.0/
%{mingw64_libdir}/libgtkspell3-3.dll.a
%{mingw64_libdir}/pkgconfig/gtkspell3-3.0.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libgtkspell3-3.a


%changelog
* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.0.3-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Tue Jun 04 2013 Sandro Mani <manisandro@gmail.com> - 3.0.3-1
- Update to 3.0.3

* Tue May 21 2013 Sandro Mani <manisandro@gmail.com> - 3.0.2-3
- Fix source url

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 3.0.2-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 3.0.2-1
- Initial package
